import request from '@/utils/request'

// 查询销售订单列表
export function listSaleOrder(query) {
  return request({
    url: '/erpSaleOrder/list',
    method: 'get',
    params: query
  })
}

// 查询销售订单详细
export function getSaleOrder(id) {
  return request({
    url: '/erpSaleOrder/' + id,
    method: 'get'
  })
}

// 新增销售订单
export function addSaleOrder(data) {
  return request({
    url: '/erpSaleOrder',
    method: 'post',
    data: data
  })
}

// 修改销售订单
export function updateSaleOrder(data) {
  return request({
    url: '/erpSaleOrder',
    method: 'put',
    data: data
  })
}

// 删除销售订单
export function delSaleOrder(id) {
  return request({
    url: '/erpSaleOrder/' + id,
    method: 'delete'
  })
}


